Accounts
Account Moderation Note List
List internal moderation notes for an account. Notes are never public and are only visible to staff with VIEW_MODERATION_NOTES permission.
GET
/accounts/{account_id}/moderation-notesList internal moderation notes for an account. Notes are never public and are only visible to staff with VIEW_MODERATION_NOTES permission.
storyden-session<token>
In: cookie
Path Parameters
account_id*string
Account ID.
Format
xidResponse Body
application/json
application/json
curl -X GET "https://example.com/accounts/cc5lnd2s1s4652adtu50/moderation-notes"{
"notes": [
{
"id": "cc5lnd2s1s4652adtu50",
"created_at": "2019-08-24T14:15:22Z",
"author": {
"id": "cc5lnd2s1s4652adtu50",
"joined": "2019-08-24T14:15:22Z",
"suspended": "2019-08-24T14:15:22Z",
"handle": "Southclaws",
"name": "Barnaby Keene",
"signature": "<body><p>Sent with love from London!</p></body>",
"roles": [
{
"badge": true,
"default": true,
"id": "cc5lnd2s1s4652adtu50",
"name": "string",
"colour": "string",
"meta": {}
}
]
},
"content": "string"
}
]
}Empty
Empty
Empty
{
"error": "string",
"message": "string",
"suggested": "string",
"metadata": {}
}Account Moderation Note Delete DELETE
Delete an internal moderation note for an account.
Account Password Reset Token Get POST
Provides the caller with a token that can be used with the endpoint `/auth/password/reset` to reset the account's password. This is intended for admin usage for when the instance is not using email authentication mode or if the target account has no email addresses to send resets.